/*
 * Modification History
 *
 * 2001-November-7		Jason Rohrer
 * Created.
 *
 * 2002-April-11		Jason Rohrer
 * Added missing include, and fixed a bug.
 */


#include "minorGems/system/Time.h"

#include <windows.h>
#include <winbase.h>



/**
 * Windows implementation of Time.h.
 *
 * Note that the 0 of this time is at the most recent system startup.
 */



void Time::getCurrentTime( unsigned long *outSeconds,
						   unsigned long *outMilliseconds ) {

	// the number of milliseconds since system start
	unsigned long millis = GetTickCount();
	
	*outMilliseconds = (unsigned long)( millis % 1000 );
	*outSeconds = (unsigned long)( millis / 1000 );
	}


